/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.service.voice;

import android.os.Bundle;

import com.android.internal.app.IVoiceActionCheckCallback;

/**
 * @hide
 */
oneway interface IVoiceInteractionService {
    void ready();
    void soundModelsChanged();
    void shutdown();
    void launchVoiceAssistFromKeyguard();
    void getActiveServiceSupportedActions(in List<String> voiceActions,
     in IVoiceActionCheckCallback callback);
    void prepareToShowSession(in Bundle args, int flags);
    void showSessionFailed(in Bundle args);
    void detectorRemoteExceptionOccurred(in IBinder token, int detectorType);
}
