/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.internal.graphics.fonts;

import android.os.ParcelFileDescriptor;
import android.graphics.fonts.FontUpdateRequest;
import android.text.FontConfig;

import java.util.List;

/**
 * System private interface for talking with
 * {@link com.android.server.graphics.fonts.FontManagerService}.
 * @hide
 */
interface IFontManager {
    @EnforcePermission("UPDATE_FONTS")
    FontConfig getFontConfig();

    int updateFontFamily(in List<FontUpdateRequest> request, int baseVersion);
}
